.offer {
    color: $white;
    overflow: hidden;
    background: $azure;

    &__container {
        position: relative;
        padding-top: rem(22);
        padding-bottom: rem(310);
    }

    &__main {
        z-index: 10;
        position: relative;
    }

    &__header {
        font-weight: 700;
        font-size: rem(25);
        line-height: rem(31);
        text-align: center;
        margin-bottom: rem(21);
    }

    &__content {
        line-height: 140%;
        font-size: rem(18);
        margin-bottom: rem(33);

        strong {
            font-weight: 700;
        }
    }

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(17);
        }
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    &__media {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        overflow: hidden;
        position: absolute;
    }

    &__image {
        z-index: 5;
        left: calc(50% - 111px);
        width: 222px;
        bottom: -58px;
        position: absolute;
    }

    &__pattern {
        z-index: 1;
        display: none;
        position: absolute;

        &--01 {
            left: -100px;
            bottom: -73px;
            width: 145px;
            display: block;
        }
    }

    @include media-breakpoint-up(md) {
        background: transparent;

        &__container {
            padding: rem(56) rem(58);
            background: $azure;
            border-radius: 30px;
        }

        &__main {

        }

        &__header {
            max-width: rem(460);
            font-size: rem(30);
            line-height: rem(37);
            text-align: left;
            margin-bottom: rem(31);
        }

        &__content {
            width: rem(340);
        }

        &__button {
            width: rem(280);
        }

        &__image {
            left: auto;
            right: 0;
            width: rem(399);
        }

        &__pattern {

            &--01 {
                left: -88px;
                bottom: -60px;
                width: rem(176);
            }

            &--02 {
                top: 8px;
                right: -88px;
                display: block;
                width: rem(176);
            }
        }
    }


    @include media-breakpoint-up(xl) {
        padding-top: rem(132);

        &__container {
            min-height: rem(452);
        }

        &__content {
            width: auto;
        }

        &__image {
            bottom: 0;
        }
        &__pattern {

            &--03 {
                display: block;
                left: rem(380);
                bottom: rem(-70);
                width: rem(859);
            }
        }

    }
}
